---
title: Contributing to MDN
slug: MDN/Contribute
tags:
  - Guide
  - Landing
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<p>MDN Web Docs needs your help! We have a large number of typos to fix, examples to write, bugs to fix, people to talk to, and more, and the number is growing as more people start using the site. This page outlines what you can do to help.</p>

<p>If you haven't contributed to MDN previously, the <a href="/en-US/docs/MDN/Contribute/Getting_started">Getting Started</a> guide can help you pick a task to jump in and help with.</p>

<h2 id="What_can_I_do_to_help">What can I do to help?</h2>

<p>There are multiple avenues you can take to contribute to MDN depending on your skillset and interests. Along with each task we provide a short description and an approximate time that each type of task typically takes.</p>

<p>If you are not sure what to do, you are always welcome to <a href="/en-US/docs/MDN/Contribute/Getting_started#Step_4_Ask_for_help">ask for help</a>.</p>

<h3 id="Primary_contribution_types">Primary contribution types</h3>

<p>The links in this section lead to detailed guides explaining how to do a particular contribution task that we are most interested in getting community help with, either because they are a critical function, and/or because they have a large backlog associated with them. Please consider helping out with these tasks before you consider contributing in other ways.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Tasks</th>
   <th scope="col">Description</th>
   <th scope="col">Skillset required</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="/en-US/docs/MDN/Contribute/Fixing_MDN_content_bugs">Fixing MDN content bugs</a></td>
   <td>Our <a href="https://github.com/mdn/content/issues">content repo</a> is where people submit issues to report problems found with MDN docs (you'll also find some bugs to fix at the older <a href="https://github.com/mdn/sprints/">sprints repo</a>, but we'll be closing it down eventually). We get a lot of content bugs, and any help you can give in fixing them would be much appreciated.</td>
   <td>
    <ul>
     <li>Knowledge of the web technologies you choose to help with (e.g. JavaScript, CSS).</li>
     <li>A reasonable understanding of the English language (don't worry if your English is not perfect; we can help you with it). </li>
    </ul>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/content/blob/main/REVIEWING.md">Reviewing MDN edits</a></td>
   <td>People submit pull requests on our <a href="https://github.com/mdn/content">content repo</a> all the time to update MDN content, and we need help reviewing them. Head over to our <a href="https://github.com/mdn/content/blob/main/REVIEWING.md">REVIEWING.md</a> page to find out how the reviewing process works, and how you can get involved.</td>
   <td>
    <ul>
     <li>Knowledge of the web technologies you choose to help with (e.g. JavaScript, CSS).</li>
     <li>A reasonable understanding of the English language (don't worry if your English is not perfect; we can help you with it). </li>
    </ul>
   </td>
  </tr>
  <tr>
   <td><a href="/en-US/docs/MDN/Contribute/Help_beginners">Help beginners to learn on MDN</a></td>
   <td>Our <a href="/en-US/docs/Learn">Learn web development</a> pages get over a million views per month and have <a href="https://discourse.mozilla.org/c/mdn/learn/250">active forums</a> where people go to ask for general help, or request that their assessments be marked. We’d love some help with answering posts and growing our learning community.</td>
   <td>
    <ul>
     <li>Knowledge of the web technologies you choose to help with (e.g. JavaScript, CSS).</li>
     <li>Enthusiasm for explaining technical topics and helping beginners learn to code.</li>
     <li>Reasonable proficiency with the English language; it really doesn't need to be perfect.</li>
    </ul>
   </td>
  </tr>
 </tbody>
</table>

<p>We will add more tasks here as time goes on.</p>

<h3 id="Other_task_types">Other task types</h3>

<p>If our main priorities listed above don't interest you, you can find a number of other, more general task types to get involved with below, split up by skillset.</p>

<p id="Option_1_I_like_words">If you are more interested in words, you could do the following:</p>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Howto/Create_and_edit_pages#Editing_an_existing_page">Update an existing article with new information</a> (5 minutes-1 hour)</li>
 <li><a href="/en-US/docs/MDN/Contribute/Howto/Write_a_new_entry_in_the_Glossary">Write a new entry in the Glossary</a> (15 minutes-1 hour)</li>
</ul>

<p>If you are more interested in code, you could try your hand at the following:</p>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Howto/Convert_code_samples_to_be_live">Convert code samples to be "live"</a> (30 minutes)</li>
 <li><a href="https://github.com/mdn/yari">Send a code patch to the Yari codebase</a> (1 hour)</li>
 <li><a href="https://github.com/mdn/interactive-examples/blob/master/CONTRIBUTING.md">Write an interactive example</a> (1 hour)</li>
</ul>

<p>If you are interested in words <em>and</em> code, you could try your hand at the following:</p>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/API_references">Write or update an API reference</a> (30 minutes to 2 hours, or more)</li>
 <li><a href="https://github.com/mdn/content#adding-a-new-document">Write a new article on a topic you are familiar with</a> (1 hour or more)</li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables">Add or update browser compatibility data on a reference page</a> (30 minutes to 1 hour)</li>
</ul>

<div class="notecard note">
<p><strong>Note</strong>: If you have found something that is incorrect on MDN but you're not sure how to fix it, you can report problems by <a class="external" href="https://github.com/mdn/sprints/issues/new?template=issue-template.md">filing a documentation issue</a>. Please give the issue a descriptive title. (It's not helpful to say "Dead link" without saying where you found the link.</p>
</div>

<h2 id="Other_useful_pages">Other useful pages</h2>

<p>{{LandingPageListSubPages()}}</p>
